How to use this box with Vagrant:

Vagrant.configure("2") do |config|
  config.vm.box = "visibilityspots/centos-7.x-puppet-4.x"
  config.vm.box_version = "3.0.0"
end
vagrant init visibilityspots/centos-7.x-puppet-4.x \
  --box-version 3.0.0
vagrant up

This version was created about 7 years ago.

Updated packages:

  • audit-libs.x86_64 - 2.6.5-3.el7_3.1
  • bash.x86_64 - 4.2.46-21.el7_3
  • bind-libs-lite.x86_64 - 32:9.9.4-38.el7_3.2
  • bind-license.noarch - 32:9.9.4-38.el7_3.2
  • binutils.x86_64 - 2.25.1-22.base.el7
  • ca-certificates.noarch - 2015.2.6-73.el7
  • centos-release.x86_64 - 7-3.1611.el7.centos
  • chkconfig.x86_64 - 1.7.2-1.el7
  • coreutils.x86_64 - 8.22-18.el7
  • cronie.x86_64 - 1.4.11-14.el7_2.1
  • cronie-anacron.x86_64 - 1.4.11-14.el7_2.1
  • cryptsetup-libs.x86_64 - 1.7.2-1.el7
  • curl.x86_64 - 7.29.0-35.el7.centos
  • cyrus-sasl-lib.x86_64 - 2.1.26-20.el7_2
  • dbus.x86_64 - 1:1.6.12-17.el7
  • dbus-libs.x86_64 - 1:1.6.12-17.el7
  • device-mapper.x86_64 - 7:1.02.135-1.el7_3.3
  • device-mapper-libs.x86_64 - 7:1.02.135-1.el7_3.3
  • dhclient.x86_64 - 12:4.2.5-47.el7.centos
  • dhcp-common.x86_64 - 12:4.2.5-47.el7.centos
  • dhcp-libs.x86_64 - 12:4.2.5-47.el7.centos
  • dmidecode.x86_64 - 1:3.0-2.el7
  • dracut.x86_64 - 033-463.el7
  • elfutils-libelf.x86_64 - 0.166-2.el7
  • elfutils-libs.x86_64 - 0.166-2.el7
  • expat.x86_64 - 2.1.0-10.el7_3
  • file-libs.x86_64 - 5.11-33.el7
  • filesystem.x86_64 - 3.2-21.el7
  • glib2.x86_64 - 2.46.2-4.el7
  • glibc.x86_64 - 2.17-157.el7_3.1
  • glibc-common.x86_64 - 2.17-157.el7_3.1
  • gnupg2.x86_64 - 2.0.22-4.el7
  • hwdata.x86_64 - 0.252-8.4.el7
  • initscripts.x86_64 - 9.49.37-1.el7
  • iproute.x86_64 - 3.10.0-74.el7
  • iptables.x86_64 - 1.4.21-17.el7
  • iputils.x86_64 - 20160308-8.el7
  • kmod.x86_64 - 20-9.el7
  • kmod-libs.x86_64 - 20-9.el7
  • kpartx.x86_64 - 0.4.9-99.el7_3.1
  • krb5-libs.x86_64 - 1.14.1-27.el7_3
  • libblkid.x86_64 - 2.23.2-33.el7
  • libcom_err.x86_64 - 1.42.9-9.el7
  • libcurl.x86_64 - 7.29.0-35.el7.centos
  • libffi.x86_64 - 3.0.13-18.el7
  • libgcc.x86_64 - 4.8.5-11.el7
  • libgcrypt.x86_64 - 1.5.3-13.el7_3.1
  • libmount.x86_64 - 2.23.2-33.el7
  • libselinux.x86_64 - 2.5-6.el7
  • libselinux-ruby.x86_64 - 2.5-6.el7
  • libselinux-utils.x86_64 - 2.5-6.el7
  • libsemanage.x86_64 - 2.5-5.1.el7_3
  • libsepol.x86_64 - 2.5-6.el7
  • libssh2.x86_64 - 1.4.3-10.el7_2.1
  • libstdc++.x86_64 - 4.8.5-11.el7
  • libtasn1.x86_64 - 3.8-3.el7
  • libuuid.x86_64 - 2.23.2-33.el7
  • libxml2.x86_64 - 2.9.1-6.el7_2.3
  • logrotate.x86_64 - 3.8.6-12.el7
  • lua.x86_64 - 5.1.4-15.el7
  • nspr.x86_64 - 4.11.0-1.el7_2
  • nss.x86_64 - 3.21.3-2.el7_3
  • nss-softokn.x86_64 - 3.16.2.3-14.4.el7
  • nss-softokn-freebl.x86_64 - 3.16.2.3-14.4.el7
  • nss-sysinit.x86_64 - 3.21.3-2.el7_3
  • nss-tools.x86_64 - 3.21.3-2.el7_3
  • nss-util.x86_64 - 3.21.3-1.1.el7_3
  • openldap.x86_64 - 2.4.40-13.el7
  • openssh.x86_64 - 6.6.1p1-33.el7_3
  • openssh-clients.x86_64 - 6.6.1p1-33.el7_3
  • openssh-server.x86_64 - 6.6.1p1-33.el7_3
  • openssl-libs.x86_64 - 1:1.0.1e-60.el7_3.1
  • pam.x86_64 - 1.1.8-18.el7
  • pciutils.x86_64 - 3.5.1-1.el7
  • pciutils-libs.x86_64 - 3.5.1-1.el7
  • pcre.x86_64 - 8.32-15.el7_2.1
  • perl.x86_64 - 4:5.16.3-291.el7
  • perl-Pod-Escapes.noarch - 1:1.04-291.el7
  • perl-Socket.x86_64 - 2.010-4.el7
  • perl-libs.x86_64 - 4:5.16.3-291.el7
  • perl-macros.x86_64 - 4:5.16.3-291.el7
  • pinentry.x86_64 - 0.8.1-17.el7
  • policycoreutils.x86_64 - 2.5-11.el7_3
  • procps-ng.x86_64 - 3.3.10-10.el7
  • puppet.noarch - 3.8.7-1.el7
  • puppetlabs-release.noarch - 22.0-2
  • python.x86_64 - 2.7.5-48.el7
  • python-libs.x86_64 - 2.7.5-48.el7
  • python-pycurl.x86_64 - 7.19.0-19.el7
  • python-urlgrabber.noarch - 3.10-8.el7
  • rpm.x86_64 - 4.11.3-21.el7
  • rpm-build-libs.x86_64 - 4.11.3-21.el7
  • rpm-libs.x86_64 - 4.11.3-21.el7
  • rpm-python.x86_64 - 4.11.3-21.el7
  • rsyslog.x86_64 - 7.4.7-16.el7
  • ruby.x86_64 - 2.0.0.648-29.el7
  • ruby-irb.noarch - 2.0.0.648-29.el7
  • ruby-libs.x86_64 - 2.0.0.648-29.el7
  • rubygem-bigdecimal.x86_64 - 1.2.0-29.el7
  • rubygem-io-console.x86_64 - 0.4.2-29.el7
  • rubygem-json.x86_64 - 1.7.7-29.el7
  • rubygem-psych.x86_64 - 2.0.0-29.el7
  • rubygem-rdoc.noarch - 4.0.0-29.el7
  • rubygems.noarch - 2.0.14.1-29.el7
  • setup.noarch - 2.8.71-7.el7
  • shadow-utils.x86_64 - 2:4.1.5.1-24.el7
  • sudo.x86_64 - 1.8.6p7-21.el7_3
  • systemd.x86_64 - 219-30.el7_3.7
  • systemd-libs.x86_64 - 219-30.el7_3.7
  • tzdata.noarch - 2016j-1.el7
  • util-linux.x86_64 - 2.23.2-33.el7
  • vim-common.x86_64 - 2:7.4.160-1.el7_3.1
  • vim-enhanced.x86_64 - 2:7.4.160-1.el7_3.1
  • vim-filesystem.x86_64 - 2:7.4.160-1.el7_3.1
  • vim-minimal.x86_64 - 2:7.4.160-1.el7_3.1
  • virt-what.x86_64 - 1.13-8.el7
  • wget.x86_64 - 1.14-13.el7
  • xz.x86_64 - 5.2.2-1.el7
  • xz-libs.x86_64 - 5.2.2-1.el7
  • yum.noarch - 3.4.3-150.el7.centos
  • yum-plugin-fastestmirror.noarch - 1.1.31-40.el7
  • zlib.x86_64 - 1.2.7-17.el7
  • Obsoleting - Packages
  • puppet-agent.x86_64 - 1.9.2-1.el7
  • hiera.noarch - 1.3.4-1.el7
  • puppet-agent.x86_64 - 1.9.2-1.el7
  • facter.x86_64 - 1:2.4.6-1.el7
  • puppet-agent.x86_64 - 1.9.2-1.el7
  • puppet.noarch - 3.8.6-1.el7
1 provider for this version.
  • lxc
    unknown Externally hosted (vagrantcloud.visibilityspots.org)